Package generic.theme

# Class SystemThemeIds

java.lang.Object
generic.theme.SystemThemeIds

public class SystemThemeIds extends Object
This class provides a set of IDs that can be used in the application, regardless of which Look and Feel (LaF) is being used.

Various LaFs have different names for common concepts and even define additional concepts not listed here. The values in this class are those the application uses use regardless of the LaF being used. When we load a specific LaF, a `UiDefaultsMapper` specific to that LaF is used to map its common LaF ids to these standard system ids. The `GThemeDefaults` uses these system ids to define colors that can be used throughout the application without using these ids directly.

The ids are assigned to categories as follows:

- CONTROL- these ids are used for colors and fonts for general system components such as Buttons, Checkboxes, or anything that doesn't fit into one of the other areas
- VIEW - these ids are used for the colors and fonts used for widgets that display data such as Trees, Tables, TextFieds, and Lists
- MENU - these ids are used by menu components such as Menus and MenuItems.
- TOOLTIP - these ids are used just by the tooltip component

For each of those categories the ids specify a specific property for those components.

- BG - the background color
- FG - the foreground color
- BG_SELECTED - the background color when the component is selected
- FG_SELECTED - the foreground color when the component is selected
- FG_DISABLED - the foreground color when the component is disabled
- BG_BORDER - the border color
- FONT - the font

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BG_BORDER_ID`
  `static final String`
  `BG_CONTROL_ID`
  `static final String`
  `BG_TOOLTIP_ID`
  `static final String`
  `BG_VIEW_ID`
  `static final String`
  `BG_VIEW_SELECTED_ID`
  `static final String`
  `FG_CONTROL_ID`
  `static final String`
  `FG_DISABLED_ID`
  `static final String`
  `FG_TOOLTIP_ID`
  `static final String`
  `FG_VIEW_ID`
  `static final String`
  `FG_VIEW_SELECTED_ID`
  `static final String`
  `FONT_CONTROL_ID`
  `static final String`
  `FONT_MENU_ID`
  `static final String`
  `FONT_VIEW_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemThemeIds()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FONT_CONTROL_ID

    public static final String FONT_CONTROL_ID
    See Also:
      - Constant Field Values

  - ### FONT_VIEW_ID

    public static final String FONT_VIEW_ID
    See Also:
      - Constant Field Values

  - ### FONT_MENU_ID

    public static final String FONT_MENU_ID
    See Also:
      - Constant Field Values

  - ### BG_CONTROL_ID

    public static final String BG_CONTROL_ID
    See Also:
      - Constant Field Values

  - ### BG_VIEW_ID

    public static final String BG_VIEW_ID
    See Also:
      - Constant Field Values

  - ### BG_TOOLTIP_ID

    public static final String BG_TOOLTIP_ID
    See Also:
      - Constant Field Values

  - ### BG_VIEW_SELECTED_ID

    public static final String BG_VIEW_SELECTED_ID
    See Also:
      - Constant Field Values

  - ### BG_BORDER_ID

    public static final String BG_BORDER_ID
    See Also:
      - Constant Field Values

  - ### FG_CONTROL_ID

    public static final String FG_CONTROL_ID
    See Also:
      - Constant Field Values

  - ### FG_VIEW_ID

    public static final String FG_VIEW_ID
    See Also:
      - Constant Field Values

  - ### FG_TOOLTIP_ID

    public static final String FG_TOOLTIP_ID
    See Also:
      - Constant Field Values

  - ### FG_VIEW_SELECTED_ID

    public static final String FG_VIEW_SELECTED_ID
    See Also:
      - Constant Field Values

  - ### FG_DISABLED_ID

    public static final String FG_DISABLED_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SystemThemeIds

    public SystemThemeIds()